Recent security bulletin

According to https://nvidia.custhelp.com/app/answers/detail/a_id/5031/kw/Security%20Bulletin 440.100 only fixes the problem for Quadro and NVS cards, but not for Geforce cards, which need the still beta 450.51 driver. Is this really true ?
I would have expected a fix in 440.100 for all cards.

Sorry for the slow reply. I asked around and the fix in 440.100 does indeed apply to all cards. The bulletin page you linked to should be updated now.